module ActiveFixture

  module Associations
    extend ActiveSupport::Concern


    module ClassMethods

      def has_many(model)
        class_name = model.to_s.camelize.singularize
        foreign_key = self.name.to_s.underscore + '_id'

        define_method model do
          class_name.constantize.find_by foreign_key, self.id
        end
      end
    end
  end
end