module ActiveFixture

  module SearchMethods
    extend ActiveSupport::Concern

    included do
    end

    module ClassMethods

      def all
        fixtures.to_a.map { |fixture| new(fixture) }
      end

      def select(id)
        all.find { |o| o.id == id } || raise(FixtureNotFound.new(id))
      end

      def find_by(attribute, value)
        all.select { |fixture| fixture.send(attribute) == value }
      end

    end
  end
end